Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 501158 (CVE-2014-1949) - <gnome-extra/cinnamon--2.2.14: bypass screensaver lock via the keyboard's Menu key
Summary: <gnome-extra/cinnamon--2.2.14: bypass screensaver lock via the keyboard's Men...
Status: RESOLVED FIXED
Alias: CVE-2014-1949
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [noglsa]
Keywords:
Depends on: gnome-3.12-stable
Blocks:
  Show dependency tree
 
Reported: 2014-02-13 08:31 UTC by Agostino Sarubbo
Modified: 2014-11-05 22:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-02-13 08:31:38 UTC
From ${URL} :

Clemens Fries reported that, when using Cinnamon, it was possible to bypass the screensaver lock:

http://seclists.org/oss-sec/2014/q1/327

An attacker with physical access to the machine could use this flaw to take over the locked desktop 
session.

A patch is currently not yet available.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Pacho Ramos gentoo-dev 2014-10-02 10:19:20 UTC
It was fixed in latest gtk+
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2014-10-15 03:30:59 UTC
pacho, thank you for the update.

Arches and Maintainer(s), Thank you for your work.
GLSA Vote: No
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-11-04 08:07:43 UTC
GLSA vote: no.

Closed as [noglsa].